Bug 5742 - Build system: Uninstallation and other improvements
Build system: Uninstallation and other improvements
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
All All
: P3 normal
: ---
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 08:50 UTC by Matthias Dieter Wallnöfer
Modified: 2008-09-29 17:38 UTC (History)
0 users

See Also:


Attachments
This should fix up the problems related to the installation/uninstallation of the libraries (1.94 KB, patch)
2008-09-10 16:20 UTC, Matthias Dieter Wallnöfer
no flags Details
This should fix up the problems related to the uninstallation of the headers (927 bytes, patch)
2008-09-10 16:56 UTC, Matthias Dieter Wallnöfer
no flags Details
Update for the Installation/Deinstallation (11.08 KB, patch)
2008-09-11 12:47 UTC, Matthias Dieter Wallnöfer
no flags Details
Update for installation/uninstallation (11.29 KB, patch)
2008-09-11 16:52 UTC, Matthias Dieter Wallnöfer
no flags Details
Updated patch (13.35 KB, patch)
2008-09-22 12:22 UTC, Matthias Dieter Wallnöfer
no flags Details
Updated patch (13.70 KB, patch)
2008-09-24 15:52 UTC, Matthias Dieter Wallnöfer
no flags Details
Updated patch (13.67 KB, patch)
2008-09-28 13:42 UTC, Matthias Dieter Wallnöfer
no flags Details
Updated patch (9.06 KB, patch)
2008-09-29 15:35 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2008-09-08 08:50:28 UTC
When running SAMBA 4 's "make install" you get the message "ln: libtorture.so: Too many levels of symbolic links".
Comment 1 Matthias Dieter Wallnöfer 2008-09-10 16:20:22 UTC
Created attachment 3552 [details]
This should fix up the problems related to the installation/uninstallation of the libraries
Comment 2 Matthias Dieter Wallnöfer 2008-09-10 16:56:47 UTC
Created attachment 3553 [details]
This should fix up the problems related to the uninstallation of the headers
Comment 3 Matthias Dieter Wallnöfer 2008-09-11 09:11:14 UTC
I discovered now, that there is much more work to fix this completely. I thought now about the remove of the complicated uninstallation scripts (who don't perform all deletions) and therefore the substituation with simple "rm"'s in the makefile.
Comment 4 Matthias Dieter Wallnöfer 2008-09-11 12:47:28 UTC
Created attachment 3565 [details]
Update for the Installation/Deinstallation

This updates a bit the installation/deinstallation procedure and adapts it to the new GMake build system
- The uninstallation scripts aren't used anymore and can be removed
- The installation/uninstallation rules have been moved under "build/make/templates.mk"
- At the moment the dependencies remain partially static
Comment 5 Matthias Dieter Wallnöfer 2008-09-11 16:52:06 UTC
Created attachment 3567 [details]
Update for installation/uninstallation

Enhanced version of the patch
Comment 6 Matthias Dieter Wallnöfer 2008-09-22 12:22:09 UTC
Created attachment 3609 [details]
Updated patch

This includes all patches in one file and is applicable to the new "master" branch.
Comment 7 Matthias Dieter Wallnöfer 2008-09-24 15:52:48 UTC
Created attachment 3626 [details]
Updated patch
Comment 8 Matthias Dieter Wallnöfer 2008-09-28 13:42:27 UTC
Created attachment 3643 [details]
Updated patch

Improvements:
- Don't delete other files when SAMBA is uninstalled in FHS paths
Comment 9 Jelmer Vernooij 2008-09-29 14:38:00 UTC
I'm not sure whether uninstall should remove the .old files - that makes it impossible to revert to an old installation after uninstalling.

Please avoid cosmetic changes, this makes the patch hard to review, likewise with reordering.
Comment 10 Matthias Dieter Wallnöfer 2008-09-29 15:35:42 UTC
Created attachment 3645 [details]
Updated patch

- Removed "$(srcdir)" changes
- Removed most comments
- Removed deletion of binary *.old files
Comment 11 Matthias Dieter Wallnöfer 2008-09-29 17:38:00 UTC
Fixed the problem by Jelmer using my patch as a base.